Bug 240024 - Mod_proxy_http ProxyErrorOverride eating cookies
Summary: Mod_proxy_http ProxyErrorOverride eating cookies
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: httpd   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-14 14:08 UTC by Martin Poole
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHSA-2007-0746
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 15:30:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch with corrected typo (2.39 KB, patch)
2007-05-14 14:08 UTC, Martin Poole
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0746 normal SHIPPED_LIVE Moderate: httpd security, bug fix, and enhancement update 2007-11-07 16:27:47 UTC
Apache Bugzilla 39245 None None None Never

Description Martin Poole 2007-05-14 14:08:55 UTC
+++ This bug was initially created as a clone of Bug #240022 +++

Description of problem:
Set-Cookie headers are not forwarded to the user client when the status code is
3xx and the ProxyErrorOverride directive is set to "on". It seems to be the
issue described in:

http://issues.apache.org/bugzilla/show_bug.cgi?id=39245

Version-Release number of selected component (if applicable):

httpd-2.2.3-6

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

-- Additional comment from mpoole@redhat.com on 2007-05-14 10:06 EST --
Created an attachment (id=154646)
Backport of upstream fix for proxyoverride problem

Comment 1 Martin Poole 2007-05-14 14:08:55 UTC
Created attachment 154647 [details]
Upstream patch with corrected typo

Comment 2 Joe Orton 2007-05-14 14:18:37 UTC
Per bug 240022: that's not the fix which was used upstream, nor one we would
adopt.  The correct patch to use is as:

http://svn.apache.org/viewvc?view=rev&rev=527969



Comment 11 errata-xmlrpc 2007-11-07 15:30:34 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0746.html



Note You need to log in before you can comment on or make changes to this bug.